# Oak API tool

This gem looks for your API key in the `OAK_API_KEY` shell variable.

After setting such variable let the magic begin:

```bash
# list available API endpoints
$ oak -l
["/api/docs/?",
 "/api/blog/ids/?",
 "/api/endpoints",
 ...

# get a blog post data
$ oak g blog/3
{"post_title"=>"Third Post",
 "post_markdown"=>"Testing 3",
 "post_slug"=>"third-post",
 "post_draft"=>false,
 "post_categories"=>"cook",
 "post_created_at"=>"2021-03-13",
 "post_prev"=>"second-post",
 "post_next"=>"starting-the-oak-blog"}
```

